Subject: Re[2]: pgp and mailcrypt

From: [email-masked]
Date: Tue, 21 Jan 1997 08:15:00 -0500

There is an option on command.com to extend the command line buffer 
     size up to 255 characters.  Use /U:255 with the command.  I set my dos 
     prompt up this way by adding the following line to config.sys:

     shell=c:\windows\command.com /u:250 /e:1024 /p

     And I also have the Cmd line property of my dos prompt window set to:

        C:\WINDOWS\COMMAND.COM /u:250 

        Ray Rizzuto
______________________________ Reply Separator _________________________________
Subject: Re: pgp and mailcrypt
Author:  [email-masked] at Internet2
Date:    1/21/97 2:25 AM

Howard Melman wrote:
>
> Has anyone gotten PGP and mailcrypt to work?  I have PGP
> 2.6.2 and I think it's working.  I've used mailcrypt before
> and have the same version 3.4 that used to work for me on
> Unix working with VM 5.96.  I'm trying to put a copy of my
> public key into a message via `C-c / x' but pgp exits with a
> status of 13.  I don't know how to look up what that status
> code means.  If I issue the pgp command on the command line
> it works fine, so I assume it's some problem with running
> pgp in batchmode or how it interfaces with Emacs.
>
> I have the same problem on both Win95 and NT 4.0.
>
> Howard
I have gotten PGP and mailcrypt to work with some modifications. There
are a some hooks into the unix version that you have to disable. My main
problem was that the dos command line was getting messed up by all of
the configuration options.

As far as I can tell, DOS can only handle 120 characters and mailcrypt
calls the dos pgp. The options were too long and got truncated when
running the pgp dos command. I got around that by deleting the extra
configuration options in the *.el files and setting them in the
config.txt instead.

Scott